/**Begin D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
 --- drop column --------- 不允许删除表T_BCM_LGMDDATA的字段FSRCYEARPERIOD，请恢复pdm中的字段 ------------------- 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DSMAPPING') 
 CREATE TABLE T_BCM_DSMAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCATIONNAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FSOURCEACCOUNT VARCHAR(500) DEFAULT ' ' NOT NULL,
FSOURCEC1 VARCHAR(500) DEFAULT ' ' NOT NULL,
FSOURCEC2 VARCHAR(500) DEFAULT ' ' NOT NULL,
FSOURCEC3 VARCHAR(500) DEFAULT ' ' NOT NULL,
FSOURCEC4 VARCHAR(500) DEFAULT ' ' NOT NULL,
FSOURCEICP VARCHAR(1000) DEFAULT ' ' NOT NULL,
FREPORTITEMCODE VARCHAR(500) DEFAULT ' ' NOT NULL,
FMOVEMENTITEMCODE VARCHAR(500) DEFAULT ' ' NOT NULL,
FCUSTOM2 VARCHAR(500) DEFAULT ' ' NOT NULL,
FCUSTOM3 VARCHAR(500) DEFAULT ' ' NOT NULL,
FCUSTOM4 VARCHAR(500) DEFAULT ' ' NOT NULL,
FICPCODE VARCHAR(1000) DEFAULT ' ' NOT NULL,
FCHANGESIGN VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATASOURCE VARCHAR(500) DEFAULT ' ' NOT NULL,
FEXCELSEQID BIGINT DEFAULT 0 NOT NULL,
FICPNAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FLASTMAPPINGID BIGINT DEFAULT 0 NOT NULL,
FMAPPINGCHANGE VARCHAR(500) DEFAULT ' ' NOT NULL,
FMAPPINGID BIGINT DEFAULT 0 NOT NULL,
FMAPPINGTPID BIGINT DEFAULT 0 NOT NULL,
FMOVEMENTITEMNAMEEN VARCHAR(1000) DEFAULT ' ' NOT NULL,
FREPORTITEMNAMEENL VARCHAR(1000) DEFAULT ' ' NOT NULL,
FREPORTNAMEEN VARCHAR(1000) DEFAULT ' ' NOT NULL,
FMOVEMENTITMENAMEENL VARCHAR(1000) DEFAULT ' ' NOT NULL,
FREPORTITEMNAMEEN VARCHAR(1000) DEFAULT ' ' NOT NULL,
FREPORTRULESID BIGINT DEFAULT 0 NOT NULL,
FSOURCEACCOUNTVALIDITY INT DEFAULT 0 NOT NULL,
FSTATUS1 INT DEFAULT 0 NOT NULL,
FWORKACCOUNT VARCHAR(500) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DSMAPPING_L') 
 CREATE TABLE T_BCM_DSMAPPING_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
